Bug 150712 - CAN-2005-0706 Buffer overflow in grip
Summary: CAN-2005-0706 Buffer overflow in grip
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: grip
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050309,sourc...
Keywords: Security
Depends On:
Blocks: CVE-2005-0706
TreeView+ depends on / blocked
 
Reported: 2005-03-09 21:48 UTC by Josh Bressers
Modified: 2014-03-17 02:52 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-03-28 19:50:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:304 moderate SHIPPED_LIVE Moderate: grip security update 2005-03-28 05:00:00 UTC

Description Josh Bressers 2005-03-09 21:48:01 UTC
This issue was discovered by Dean Brettle

While investigating a crash of grip on my FC3 system, I've come across
what appears to be a long-standing remote buffer overflow vulnerability.
Specifically, if the CDDB server (eg freedb.org) returns more than 16
matches (exact or inexact) for a CD, grip will write past the end of a
stack-based array.  I think that means that a hostile server or a
hostile 3rd party submitter to the CDDB server could exploit the bug (by
embedding exploit code in the overflowing matches).

Comment 2 Josh Bressers 2005-03-28 19:50:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-304.html



Note You need to log in before you can comment on or make changes to this bug.